namespace Pilz;

[AttributeUsage(AttributeTargets.Assembly)]
public class AssemblyAppVersionAttribute(string version, int build, AppChannel channel) : Attribute
{
    public AppVersion Version { get; } = new(new Version(version), build, channel);

    public AssemblyAppVersionAttribute(string version) : this(version, 1)
    {
    }

    public AssemblyAppVersionAttribute(string version, int build) : this(version, build, AppChannel.Stable)
    {
    }
}